(*^

::[paletteColors = 128; automaticGrouping; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, L1, e8,  16, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, L1, a20,  16, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, L1, a12,  14, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, L1,  14, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;]
:[font = title; inactive; preserveAspect; startGroup; ]
A Mathematica Tutorial  
;[s]
3:0,0;2,1;13,2;25,-1;
3:1,14,11,Times,0,16,0,0,0;1,14,11,Times,2,16,0,0,0;1,14,11,Times,0,16,0,0,0;
:[font = subsubtitle; inactive; preserveAspect; ]
for the NeXT computer
:[font = section; inactive; preserveAspect; startGroup; ]
Working with this Tutorial.ma `notebook'
:[font = text; inactive; preserveAspect; ]
Before you can read through this notebook,  you need to know several things about "getting around" inside the notebook window.  This section shows you how to use the mouse to `scroll',  and how to select, change and delete text. 
:[font = subsection; inactive; preserveAspect; startGroup; ]
Learning how to `scroll' through this notebook
:[font = text; inactive; preserveAspect; ]
The mouse is the small rectangular box that is attached to the keyboard.  By sliding the mouse on a smooth surface (such as a  pad), you can control the movement of the cursor on the screen.  You move the cursor to point to items you want to manipulate.   There are two "buttons" on the mouse, either of which will  (unless altered)  work for your purposes.
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Scrolling by using the arrows
:[font = text; inactive; preserveAspect; endGroup; ]
You can use the mouse and the direction arrows at the bottom left of the window to scroll up or down through the tutorial:
   1.  Point the cursor on the `down' arrow that appears at the extreme lower 
         left corner of  this notebook window,
   2.  Click the mouse button once (the text will move up one line in the 
         window);  or simply
   3.  Press (and hold down) the button until the desired amount of new text 
         appears.
You can similarly scroll up,  or backwards,  by using the `up' arrow.
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Scrolling by using the `scroll bar'
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
 There is a faster way to move up and down.  Inside the grey margin strip at the left of the window is a short vertical bar with a small circle in the center (the scroll bar).  You can use this bar to scroll quickly down, or up,  the page:
    1.  Point the cursor on the scroll bar, 
    2.  Press the button (hold it down), and 
    3.  Drag the scroll bar down or up to correctly position the text.
:[font = subsection; inactive; preserveAspect; startGroup; ]
More about the mouse and the cursor
:[font = text; inactive; preserveAspect; ]
You will notice that the cursor changes shape as it moves about the screen.  If you move the cursor from a position inside this window to a border of the page, or off the page,  the cursor will change from a vertical I-beam shape to an arrow.   Or,  if you slowly move down the page the cursor will occasionally change, briefly,  to a horizontal I-beam shape.   (This occurs between "cells"s,  where a cell is a block of text defined by the bracket,  ] ,  to the right---e.g. see the  ]  for this paragraph).   Move the cursor around and see it change. 
:[font = text; inactive; preserveAspect; endGroup; ]
The cursor has three basic shapes:
     a vertical I-beam, for selecting text in the window; 
     a horizontal I-beam, for opening more work space between paragraphs 
       (or cells);
     the arrow,  for pointing to items bordering,  or off,  the window.
You will have occasion soon to see the implications of these various shapes.
:[font = subsection; inactive; preserveAspect; startGroup; ]
Adding new text
:[font = text; inactive; preserveAspect; endGroup; ]
 You can change (edit) text by using the mouse.  You can practice adding text right now: 
    1.  Move the cursor to the end of a  nearby paragraph, 
    2.  Click the mouse -- a blinking vertical bar will appear, 
    3.  Add new text there by typing something;  e.g. type:   `Some new stuff' 
          after this sentence.   
:[font = subsection; inactive; preserveAspect; startGroup; ]
Deleting text
:[font = text; inactive; preserveAspect; ]
Here is how to delete the text added above:
   1.  Move the cursor to the beginning of your added text,  just before the "S" 
         in Some , 
   2.  `Select' the text  (i.e.  press and drag the mouse to the right until the  
         `Some new stuff'  is completely shaded in grey), 
   3.  Hit the Delete key (located on the upper right of the main keyboard, with 
         the left arrow).  The shaded text will disappear.
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
By combining the above features, moving about, adding and deleting text, one can change the text as desired.   You will get more practice below.
:[font = section; inactive; preserveAspect; startGroup; ]
How to continue this Tutorial---or Quit
:[font = text; inactive; preserveAspect; endGroup; ]
Below you will see seven section titles which serve as a `table of contents' for the rest of this tutorial.  These sections are "closed up" for convenience in finding the section of interest.   For example,  if you needed to get off the computer now,  you would want to "open up" the sections  "How to exit this tutorial"  and  "Logging off the NeXT".   But,  let's assume that you want to open the next section,  "What is Mathematica?"  To do this:
  1.  Put the cursor on the small rectangle to the right of the section title;
  2.  "double-click"---that is,  make two short clicks of the mouse.  
       This  (short) section should open up for you.   Try it.
  
If you want to close up that section,  double-click on the  ]  to the right, enclosing the entire section,  including the title.  Try it.

Notice the next section,  "Some basic elements of Mathematica", has a larger rectangle following it;  this is because it is a much larger section. 
Open this section up when you are ready to start learning Mathematica.
 
The last section,  "Some Mathematica commands",  is a summary of the commands that you will be using this year;  and is for later reference.
;[s]
9:0,0;423,1;434,2;855,3;866,4;1011,5;1022,6;1051,7;1062,8;1166,-1;
9:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
What is Mathematica?
;[s]
3:0,0;8,1;19,2;20,-1;
3:1,14,11,Times,1,16,0,0,0;1,14,11,Times,2,16,0,0,0;1,12,9,Times,1,14,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; ]
 Mathematica is a state-of-the-art and remarkably powerful system for doing mathematics by computer.  One can use Mathematica in many different ways, but in your calculus courses you will use only a small portion of its capabilities.   (You will use more advanced features in your later course work and,  very likely,  in your professional career).  The following tutorial sections will show you how to use to do numerical, symbolic and graphical calculations.   You will get a sense of the graphical power in this tutorial.
     One of the remarkable features of Mathematica  is its `symbolic' capabiltity;  i.e.  it ability to very quickly do messy algrebraic computations and simplifications.   Such packages can thus save us many tedious hours of (error-prone) work.   Similarly, you will see later this term that Mathematica is also very good at calculus operations  (differentiation and integration).   
These time saving features will not take all the work out of a calculus course,  rather it will allows us to probe more deeply into central issues of the subject.
;[s]
9:0,0;1,1;12,2;114,3;125,4;564,5;575,6;818,7;829,8;1072,-1;
9:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Some basic elements of Mathematica
:[font = text; inactive; preserveAspect; ]
In this section we give you examples of how you can use Mathematica for some familiar and elementary operations. 
;[s]
4:0,0;56,1;67,2;112,3;113,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; preserveAspect; startGroup; ]
Executing a Mathematica command
;[s]
3:0,0;12,1;23,2;32,-1;
3:1,12,9,Times,1,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,12,9,Times,1,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
In the first example, we illustrate some of the algebraic and graphical capabilities of Mathematica.   Here is an example of an expression that defines  y, a function of  x:
;[s]
4:0,0;88,1;99,2;103,3;173,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
y = x^3 - x^2 - 9 x + 9
:[font = text; inactive; preserveAspect; ]
The above line is called a command, or "input".  When you enter such an input, Mathematica processes it and returns "output" (or a result). To obtain the result you must first "execute" the command by following these steps:
   1.  Move the cursor to the end of the command;  in this case, after the 
         second  9.   
        (Alternatively,  put the cursor on the  ]  to the right of the command),
   2.  Click the mouse to select the command,
   3.  Hit the Enter key,  located on the extreme lower right of the keyboard.  
        (Note: this is  NOT the same as the Return key that you have been 
         using.)
	
The above command is repeated below.   Follow the directions above to execute it now.  There will be a short delay while Mathematica performs the command. Once the command is completed, you will see an input line labeled  In[1]  that contains the original command, and an output line labeled  Out[1].  Notice that the result in the output line is written differently than the way we typed it;  Mathematica  prefers to write polynomials in increasing powers of  x.
;[s]
7:0,0;79,1;90,2;746,3;757,4;1019,5;1032,6;1088,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; endGroup; ]
y = x^3 - x^2 - 9 x + 9
:[font = subsection; inactive; preserveAspect; startGroup; ]
Writing a Mathematica command
;[s]
3:0,0;10,1;21,2;29,-1;
3:1,12,9,Times,1,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,12,9,Times,1,14,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; ]
The input line above is an example of writing the definition of  y  as the cubic polynomial in  x.  There are two items you should notice in the above command that are peculiar to the  Mathematica  program:
     "x cube"and "x square" are typed using the carat (^ ) . 
      product  "9 x" does not need a multiplication symbol.  Two possible 
        forms are:   with a space as in "9 x" or  with an asterisk as in "9*x".
 
;[s]
7:0,0;185,1;196,2;198,3;206,4;207,5;425,6;428,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; preserveAspect; startGroup; ]
Opening Mathematica work space
;[s]
3:0,0;8,1;19,2;31,-1;
3:1,12,9,Times,1,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,12,9,Times,1,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Now it's time for you to practice writing a command in Mathematica.  
However, first you must `open' a line to type in as follows:   
   1.  Move the cursor slowly down between two paragraphs  (e.g. between 
         this paragraph and the next one)  until the cursor becomes a  horizontal 
         I-beam.
   2.  Click the mouse;  a grey line will appear across the window. 
;[s]
4:0,0;55,1;66,2;70,3;376,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; ]
For practice, after opening a line,  type the same Mathematica  command that we worked with above, and execute the command.  (Remember:  to execute a command,  first `select' it by clicking behind the command,  and then hit the Enter key.) 
;[s]
3:0,0;51,1;64,2;243,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; preserveAspect; startGroup; ]
Plotting a function
:[font = text; inactive; preserveAspect; ]
The command below is a very common plotting format that will soon become familiar to you.  (Note: this plot command assumes the above definition of  y;  if you have not executed a command defining  y,  scroll back and do it now.)
:[font = input; preserveAspect; ]
Plot[y, {x,-7,7}, PlotRange -> All]
:[font = text; inactive; preserveAspect; ]
There are some items to note in this plot command that are peculiar to Mathematica:
      Notice the square brackets,  [  and  ],  around the arguments of the Plot 
        command.  Also note {x,-7,7}   specifies the domain of  x.   It is 
        important to remember when to use the different types of brackets.  
        Mathematica is very `narrow minded' about this.
     "PlotRange -> All" is a plotting option, telling Mathematica that---"yes, 
        we do want to see the entire graph".  (Other plotting options will be 
        introduced as we need them.)   The arrow (->) is created with the 
        "hyphen" followed by the  "greater than" keys on the keyboard.
     Notice the upper case letters in  Plot  and  PlotRange.  This is typical of 
       all Mathematica  functions and options;  so get used to this!  In contrast, 
       if  YOU define a new function, like  y  above,  you are free in the use of 
       upper and lower case letters.
;[s]
10:0,0;71,1;82,2;327,3;338,4;430,5;441,6;775,7;786,8;788,9;968,-1;
10:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Execute the plot command below to see what the graph of  y  looks like. (Select the command by clicking after it,  and hit Enter). 
:[font = input; preserveAspect; ]
Plot[y, {x,-7,7}, PlotRange -> All]
:[font = text; inactive; preserveAspect; endGroup; ]
You can see that the graph depicts the essential character of function y.   
:[font = subsection; inactive; preserveAspect; startGroup; ]
Modifying a command
:[font = text; inactive; preserveAspect; ]
You can now practice modifying a Mathematica command and, at the same time, get a closer look at the graph.
;[s]
3:0,0;33,1;45,2;107,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Follow these steps to change the domain of  x in the plot command below:
     Carefully place the cursor in front of the  -7;
     Press and drag the mouse across the -7,7 (it will be shaded grey);
     Type  -4,4  (the  -7,7  will be replaced).
Now execute the modified plot command. (If the command does not execute, it's always a good idea to check for typographical errors. If there are no errors  and the graph still does not plot, ask for help.)
:[font = input; preserveAspect; ]
Plot[y, {x,-7,7}, PlotRange -> All]
:[font = text; inactive; preserveAspect; endGroup; ]
You will now see a more detailed graph of y where it crosses the x-axis.
:[font = subsection; inactive; preserveAspect; startGroup; ]
Factoring polynomials
:[font = text; inactive; preserveAspect; ]
In the above graph it looks to the eye as if the function y is equal to 0 somewhere around x = -3,  x = 1, and  x = 3.  How to find where  y=0 is an important question that we will pursue from several directions this semester.   But in this case, the question is easily answered because Mathematica is good at factoring polynomials.   To see this, execute the following command.
;[s]
4:0,0;287,1;298,2;299,3;378,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Factor[y]
:[font = output; output; inactive; preserveAspect; endGroup; ]
(-3 + x)*(-1 + x)*(3 + x)
;[o]
(-3 + x) (-1 + x) (3 + x)
:[font = text; inactive; preserveAspect; endGroup; ]
It is now clear that y = 0 precisely at  x=-3,  x=1, and  x=3.
:[font = subsection; inactive; preserveAspect; startGroup; ]
Zooming in on a graph
:[font = text; inactive; preserveAspect; ]
Let's return to the graph of y and get into an issue that will be very important throughout our study of calculus.   Again,  execute:
:[font = input; preserveAspect; ]
Plot[y, {x,-4,4}, PlotRange -> All]
:[font = text; inactive; preserveAspect; ]
A recuring theme in calculus can be paraphrased:  "most functions are `almost linear' if you look closely enough".  To illustrate this point, you can "zoom" in on the graph at  x  near  2: 
    1.  Modify the plot command below so that the domain of x is 1.9  to  2.1.   
         (If  necessary, you may scroll back to review the directions  "Modifying 
         a  command.")
    2.  Execute the plot command.
:[font = text; inactive; preserveAspect; ]
You should see a smaller section of the graph and note that it is starting to straighten out a bit.  To further illustrate the point,  modify the x domain in the plot command below to 1.99 to 2.01 and execute the command, and notice that the graph is almost linear. 
:[font = input; preserveAspect; ]
Plot[y, {x, 1.99, 2.01}, PlotRange -> All]
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
Is there anything special about the point  (2, -5)?  No.   You may want to experiment on your own by modifying the command with any value for the domain of  x that you choose, and "zoom in" as we have done.  Remember the fundamental point being made:
     "most functions are `almost linear' if you look closely enough".
We will revisit this notion often in Calculus.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Some additional issues
:[font = text; inactive; preserveAspect; ]
Below we point out a few more characteristics in some  Mathematica  commands that you will use during the year.  Execute each command, notice its output, and read the explanation that follows.
;[s]
4:0,0;55,1;66,2;68,3;192,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
y
:[font = text; inactive; preserveAspect; ]
Here we have defined y as we had earlier.   Now consider
:[font = input; preserveAspect; ]
xy
:[font = text; inactive; preserveAspect; ]
 Mathematica considers  xy as a new variable, since we `forgot' the space between  x  and  y.   Now execute:
;[s]
4:0,0;1,1;12,2;13,3;108,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
x y 
:[font = text; inactive; preserveAspect; ]
Mathematica  remembers the definition of  y  and substitutes it in. 
;[s]
2:0,0;11,1;69,-1;
2:1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
Expand[%]
:[font = text; inactive; preserveAspect; ]
In this  Expand  command, the percent sign (%) stands for  `the last result'.  Therefore, the product x y  is expanded here to get a fourth degree polynomial.
:[font = input; preserveAspect; ]
Factor[%]
:[font = text; inactive; preserveAspect; ]
Likewise,  this factors the last result.   Finally, a bit more subtle command:
:[font = input; preserveAspect; ]
y /. x -> 2
:[font = text; inactive; preserveAspect; ]
The effect of this command is to evaluate  y  at  x=2.  It illustrates a very important feature of  Mathematica.   You should read this command as "evaluate  y  subject to the rule:  (x  is set to 2)".  The operator  /.  is made up by a slash  /  followed by a period  (.);  and the arrow is a "hyphen" followed by a "greater than"  sign.   The spaces after the  y, before the  x  and before the  2  are NOT necessary here, but they help in the readability of the command.
;[s]
3:0,0;100,1;115,2;472,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; preserveAspect; startGroup; ]
The "Function" Notation
:[font = text; inactive; preserveAspect; ]
As you probably noticed, the last example is an awkward way to evaluate  y  at  x = 2.  An easier way to do such evaluations it is to use the "function" notation.  The following is an example of a function definition for  f :
:[font = input; preserveAspect; ]
f[x_] := x^2 + 1
:[font = text; inactive; preserveAspect; endGroup; ]
There are several items to note in the above command that are peculiar to  Mathematica  and that you must include to make  f  a legitimate function:  
      square brackets must be used to enclose the argument of  f,
      an underscore (shift on the hyphen) follows the argument inside the 
        brackets, and
      the assignment operator  :=  replaces the usual equal sign.   
;[s]
3:0,0;75,1;88,2;386,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; preserveAspect; startGroup; ]
Examples using a defined function
:[font = text; inactive; preserveAspect; ]
Some advantages of the function notation are shown in the  examples below.  These examples give you an idea of the power you have in Mathematica  when  f  is defined as an actual function. The original argument,  x, can be replaced by any numerical value or symbol.   EXECUTE the following commands, one at a time, starting with the definition of  f .
;[s]
4:0,0;133,1;144,2;146,3;351,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
f[x_] := x^2 + 1
:[font = input; preserveAspect; ]
f[x]
:[font = input; preserveAspect; ]
f[3]
:[font = input; preserveAspect; ]
f[-3]
:[font = input; preserveAspect; ]
f[-12]
:[font = input; preserveAspect; ]
f[p]
:[font = input; preserveAspect; ]
f[cat]
:[font = input; preserveAspect; ]
f[t^3+1]
:[font = input; preserveAspect; ]
Expand[%]
:[font = text; inactive; preserveAspect; endGroup; ]
As you can see, the original argument,  x, can be replaced by ANYTHING!  For example, with the argument  t^3 + 1  we obtained a sixth degree polynomial (the `composition' of the functions  x^2 + 5 and t^3 + 1).  
:[font = subsection; inactive; preserveAspect; startGroup; ]
Working with a Rational Function
:[font = text; inactive; preserveAspect; ]
You can form a so-called "rational function" by taking the quotient of y and f[x].   Execute the following command to define the ratio of  y and  f[x], and then execute the second command to plot the function.
:[font = input; preserveAspect; ]
r = y/f[x]
:[font = input; preserveAspect; ]
Plot[r, {x, -20, 20}, PlotRange -> All]
:[font = text; inactive; preserveAspect; ]
You can see here that  r  has the same general shape,  for "small" x, as did  y.  (Why is this?)  Also notice that for "large x" the graph of  r  looks linear.  (Why is this?)  To explore the second question graphically we plot functions  r and  x-1  on the same graph as follows.  Execute the command:
:[font = input; preserveAspect; ]
Plot[{r, x-1}, {x, -40, 40}, PlotRange -> All]
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
In this tutorial, you have seen demonstrated two phenomena that are quite common:
    1.  Most functions look linear if you zoom in very close; that is, if you look 
          at the function over a very small interval.
    2.  Some (but not most) functions look linear if you look at them from a 
          large distance.  
The concepts of "very close" and "very far" play central roles in calculus, as you will see this semester.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Now you try some things
:[font = text; inactive; preserveAspect; ]
With the information given above on how to write and execute Mathematica commands, you can now experiment on your own with the Mathematica concepts demonstrated in this tutorial. You may either use the exercises given below, or try some functions of your own choice.  If you need to review some information in the previous sections, just scroll up to the appropriate location  (or refer to your booklet).  Remember, in order to open space to work in after each exercise, you must:
     place the cursor between two cells (get the horizontal cursor),
     click the mouse (a grey line will appear across the window), and 
     begin typing the Mathematica command.
;[s]
7:0,0;61,1;72,2;127,3;138,4;646,5;657,6;667,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
If you do not have time to complete the exercises now and if you wish to exit this tutorial, scroll down to the section describing how to do this.
:[font = subsection; inactive; preserveAspect; startGroup; ]
Exercises:
:[font = text; inactive; preserveAspect; ]
1.   Define function  y = x^3 + 2 x^2 - 15 x - 30.   Plot  y  on several
      x-intervals to get a good idea of its behavior.    
:[font = text; inactive; preserveAspect; ]
2.  Zoom in on the the largest x-value for which  y = 0.  Does the function 
      become "almost linear" as you zoom in?    
:[font = text; inactive; preserveAspect; ]
3.  Use the  /.  Mathematica operator to evaluate  y  at several  x  values.
:[font = text; inactive; preserveAspect; ]
4.  Define a new rational function, e.g.  r = y/(x^4 + 3).   Plot  r  on several  
      x-intervals;  for example look for values of  x  such that  r = 0; and see 
      what  r looks like for  x  "large".   Is  r  "almost linear" for  x  large (as 
      was the case with our  r  discussed earlier)?
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
5.  Use the Factor command to find exactly the x-values where  y  and  r = 0.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
How to exit this tutorial
:[font = text; inactive; preserveAspect; endGroup; ]
To exit this tutorial, you move the cursor to the Mathematica menu located at the extreme upper left corner of your screen.  Point the cursor and click on the "Quit" rectangle at the bottom of the  menu .   You will be presented with a  "Quit"  box with some options; click the  "Quit Anyway"  box. 
;[s]
3:0,0;50,1;62,2;299,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Logging off the NeXT
:[font = text; inactive; preserveAspect; endGroup; ]
Once you have left the tutorial, to log off the computer move the cursor to the  "Log Out" box of the Workspace Menu (upper left of the screen)  and click there.  Then on the Quit menu box, click on  Log Out.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
 Some Mathematica commands
;[s]
3:0,0;6,1;17,2;26,-1;
3:1,14,11,Times,1,16,0,0,0;1,14,11,Times,2,16,0,0,0;1,14,11,Times,1,16,0,0,0;
:[font = subsection; inactive; preserveAspect; startGroup; ]
Introduction
:[font = help; inactive; preserveAspect; ]
Below we give a list of Mathematica  commands that you will use this year.   But first,  recall that there are two basic ways to define a function of  x.   The quick way is, for example:
;[s]
4:0,0;24,1;35,2;37,3;186,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
y = 3 x + 1
:[font = help; inactive; preserveAspect; ]
The lengthier way, but which allows more flexibility, is:
:[font = input; preserveAspect; ]
f[x_] := x^3 + x^2 - 5x - 5
:[font = help; inactive; preserveAspect; ]
Note:  both the x _  symbol on the left,  and the  :=  defining symbol.   Defining  f  this way allows you to easily evaluate, say,  f[2] ,  f[5 t + 3], etc.  In contrast,  to evaluate the above   y  at  x = 2   you must type:

:[font = input; preserveAspect; ]
y /. x -> 2
:[font = help; inactive; preserveAspect; ]
Remember that Mathematica tends to do exact arithmetic;  for example, carrying the fraction  2358463 / 78932749.   This is time-consuming for the computer and one usually prefers the decimal approximation.   One way  to get the decimal form is to use the  N  command; e.g. 
;[s]
4:0,0;14,1;25,2;26,3;273,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
N[2358463/78932749]
:[font = help; inactive; preserveAspect; ]
Or, you can simply put a decimal point after one of the integers.  Try it. 
If you really need lots of decimal places of p you can type, e.g.:
;[s]
3:0,0;121,1;122,2;142,-1;
3:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; endGroup; ]
goodPi = N[Pi, 50]
:[font = subsection; inactive; preserveAspect; startGroup; ]
Getting Help during a  Mathematica  session
;[s]
3:0,0;23,1;34,2;51,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = help; inactive; preserveAspect; ]
Suppose that you have used a command before, but have forgotten its exact format.  You can simple type,  for example:

:[font = input; preserveAspect; ]
?Plot
:[font = help; inactive; preserveAspect; endGroup; ]
Or if you want more detail, type   ??Plot .   Try it.

:[font = subsection; inactive; preserveAspect; startGroup; ]
A Warning about variable names
:[font = help; inactive; preserveAspect; endGroup; ]
Should you have another Mathematica notebook open  (e.g.,  Project1.ma), the two notebooks will share the same variables.   For example, suppose in another notebook you had defined a variable  y  differently that we have above.  Then you come to this notebook and execute the above  y  definition.   When you return to the other notebook  y  would be changed to the above.        
      However,  if you simply call in this notebook to refresh your memory on a command, and do no execution,  there is no problem.   
;[s]
4:0,0;24,1;35,2;36,3;515,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,11,8,Times,0,12,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; preserveAspect; startGroup; ]
A Partial List of  Mathematica Commands.
;[s]
3:0,0;19,1;30,2;40,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = help; inactive; preserveAspect; ]
The  following commands are in alphabetical order.  If the command is on a separate line, as in the example for  D  below, you can execute it if you wish; ASSUMING the above  y  and  f[x]  have been executed.

:[font = subsubsection; inactive; preserveAspect; fontLeading = 9; startGroup; ]
Abs---take the absolute value of its argument; e.g.
:[font = input; preserveAspect; endGroup; ]
Abs[f[2]]
:[font = subsubsection; inactive; preserveAspect; ]
Clear---is used to "undefine" variables or functions.  This is useful when you are changing the definition of f,  or things have gotten confused.  For example, Clear[f,  y] clears above functions.
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
D---will take the derivative of specified function with respect to specfied variable.  E.g.,  
:[font = input; preserveAspect; endGroup; ]
D[f[x], x]
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Do---allows you to set up a "loop" in order to perform the same (or similar) commands numerous times.  E.g.,  the following does 6 Newton iterations on function  t^2 - 5,  to approximate  Sqrt[5]:
:[font = input; preserveAspect; ]
t = 3.0
Do[t = t - (t^2 - 5.0) / (2.0 t), {k, 1, 6}]
t
:[font = help; inactive; preserveAspect; endGroup; ]
The variable  k  is a `counter' that here takes on values 1,2,3,4,5,6.
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Expand---expands out in powers of x (or some other expression).
E.g., consider these two examples:
:[font = input; preserveAspect; ]
Expand[y f[x]]
:[font = input; preserveAspect; endGroup; ]
Expand[Cos[x] (3 - Cos[x]^2)]
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Integrate---the first form of  Integrate  attempts to find an antiderivative of the first argument, with respect to the second.  
:[font = input; preserveAspect; ]
Integrate[y, x]
:[font = help; inactive; preserveAspect; ]
The second form is for doing a definite integral;  e.g. 
:[font = input; preserveAspect; ]
Integrate[y, {x, 0, 3}]
:[font = help; inactive; preserveAspect; endGroup; ]
(Should this fail,  see  NIntegrate  below).
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Factor---will attempt to factor the argument.  In polynomials, it only looks for  integer factors.  E.g.,
:[font = input; preserveAspect; endGroup; ]
Factor[f[x]]
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Limit---will attempt to take the specified limit.  
:[font = input; preserveAspect; ]
Limit[y, x -> 3]
:[font = text; inactive; preserveAspect; ]
The following takes the limit from the right  (use  +1  to get the limit from the left):
:[font = input; preserveAspect; endGroup; ]
Limit[f[x], x -> 0, Direction -> -1]
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
N---converts the argument to decimal form and shows  6  figures.   More figures are shown if requested;  e.g.,
:[font = input; preserveAspect; ]
N[Pi]
:[font = input; preserveAspect; endGroup; ]
N[Pi/2, 16]
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
NIntegrate---attempts to do a numerical integration of the first argument.   Typically, the result is good to 16 figures.  E.g.,
:[font = input; preserveAspect; ]
NIntegrate[y, {x, 0, 3}]
:[font = help; inactive; preserveAspect; endGroup; ]
(Also see Integrate  above).
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Plot---plots one or more functions over the specified interval.  There are many options (try ??Plot), the most common is perhaps PlotRange.  E.g.  try this with,  and without,  the option:
:[font = input; preserveAspect; ]
Plot[{y, f[x]}, {x,-4,4}, PlotRange -> All]

:[font = help; inactive; preserveAspect; ]
To get a label on a plot we can do e.g.:
:[font = input; preserveAspect; ]
Plot[{y, f[x]}, {x,-4,4}, PlotRange -> All,
      PlotLabel -> "J. Jacobs Project No. 6"]
:[font = help; inactive; preserveAspect; endGroup; ]
where a `Return' (not `Enter') was used to go to a new line.
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Sign---produces the  sign  (+1  or  -1)  of the argument;  e.g.
:[font = input; preserveAspect; ]
Sign[-Pi/2]
:[font = help; inactive; preserveAspect; ]
This function is useful in producing "step functions";  e.g.,   
:[font = input; preserveAspect; endGroup; ]
g[x_] := Sign[x - 1] - Sign[x - 3]
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Simplify---attempts to clean up the expression by looking for common factors, etc.  E.g., 
:[font = input; preserveAspect; endGroup; ]
Simplify[(f[x]- y) / (x + 3)]
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Solve---attempts to solve the specified equation (or equations) for the specified variables.  Solve is effective primarily for polyomial equations.  E.g. this finds x-values at which f[x] and y are equal:
:[font = input; preserveAspect; ]
ourRules = Solve[y == f[x], x]
:[font = help; inactive; preserveAspect; ]
The result of this is a set of "rules", saved in a variable we called `ourRules', which can be used as follows to evaluate y at these x values:
:[font = input; preserveAspect; ]
y /. ourRules
:[font = help; inactive; preserveAspect; ]
Next we solve a pair of equations for unknown s, t:
:[font = input; preserveAspect; endGroup; ]
Solve[{3 s + t == 7,  2 s - 3 t == 1}, {s,t}]
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Sum---this command allows you to conveniently perform a  sum,  as a `counter ' (k  below) takes on its range of values.   E.g.  to compute the sum of squares of the first six integers: 
:[font = input; preserveAspect; endGroup; ]
sumsq = Sum[k^2, {k, 1, 6}]
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Table and TableForm---Table is used, for example, to generate a list of order pairs; and
TableForm puts them in a more readable form;  e.g.
:[font = input; preserveAspect; endGroup; ]
Table[{n, n^2}, {n, 1, 5}] //TableForm
:[font = subsubsection; inactive; preserveAspect; startGroup; ]
Together---puts terms in a sum over a common denominator, and does some simplifying.   E.g.,
:[font = input; preserveAspect; ]
 (1 + x) y + f[x] / (1 - x)

:[font = input; preserveAspect; endGroup; endGroup; endGroup; endGroup; ]
Together[%]
^*)